View Issue Details

IDProjectCategoryView StatusLast Update
11741Feature requests[All Projects] Authenticationpublic2017-09-22 11:15
Reporterbavabuhardeen Assigned ToLouisGac  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary11741: Login limesurvey using the email address
Description

Hi, i am using limesurvey version 2.50+., LS is working fine when log in using the username provided at time of user creation, now i want to customize it and want to work with email address or username at the time of login..it should work for both if entered username and pwd or email and password..

Thanks

Tagscustomisation, login

Activities

DenisChenu

DenisChenu

2016-10-23 10:48

developer   ~41527

https://manual.limesurvey.org/Authentication_plugin_development

LouisGac

LouisGac

2016-11-14 16:45

manager   ~41912

I will update the existing plugin so it accept email address. This is very common today.

LouisGac

LouisGac

2016-11-15 20:00

manager   ~41972

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21426

Related Changesets

LimeSurvey: master edb93cf7

2016-11-15 20:00:27

LouisGac

Details Diff
New feature 11741: Login limesurvey using the email address Affected Issues
11741
mod - application/core/plugins/Authdb/Authdb.php Diff File
mod - application/libraries/PluginManager/LimesurveyApi.php Diff File

Issue History

Date Modified Username Field Change
2016-10-04 11:55 bavabuhardeen New Issue
2016-10-04 11:56 bavabuhardeen Tag Attached: login
2016-10-04 11:56 bavabuhardeen Tag Attached: customisation
2016-10-04 11:56 bavabuhardeen Tag Attached: email address
2016-10-17 16:26 DenisChenu Category Accessibility => Authentication
2016-10-23 10:48 DenisChenu Note Added: 41527
2016-11-14 16:45 LouisGac Note Added: 41912
2016-11-14 16:46 LouisGac Assigned To => LouisGac
2016-11-14 16:46 LouisGac Status new => assigned
2016-11-15 19:21 LouisGac Sticky Issue No => Yes
2016-11-15 20:00 LouisGac Changeset attached => LimeSurvey master edb93cf7
2016-11-15 20:00 LouisGac Note Added: 41972
2016-11-15 20:00 LouisGac Resolution open => fixed
2016-12-06 16:34 LouisGac Status assigned => resolved
2016-12-06 16:34 LouisGac Sticky Issue Yes => No
2017-01-18 15:29 DenisChenu Tag Detached: email address
2017-09-22 11:15 c_schmitz Status resolved => closed
2017-09-22 11:15 c_schmitz Fixed in Version => 2.x.x